import * as gettext from 'gettext-parser';
import { map } from 'rxjs/operators';
export class TranslatePoHttpLoader {
    constructor(_http, _prefix = 'i18n', _suffix = '.po') {
        this._http = _http;
        this._prefix = _prefix;
        this._suffix = _suffix;
        this.domain = '';
    }
    getTranslation(lang) {
        return this._http
            .get(`${this._prefix}/${lang}${this._suffix}`, { responseType: 'text' })
            .pipe(map((contents) => this.parse(contents)));
    }
    parse(contents) {
        let translations = {};
        const po = gettext.po.parse(contents, 'utf-8');
        if (!po.translations.hasOwnProperty(this.domain)) {
            return translations;
        }
        Object.keys(po.translations[this.domain])
            .forEach(key => {
            const translation = po.translations[this.domain][key].msgstr.pop();
            if (key.length > 0 && translation.length > 0) {
                translations[key] = translation;
            }
        });
        return translations;
    }
}
//# sourceMappingURL=index.js.map